package jtznyj.engineer.service.dataDiagnosticService.data;

/**
 * 字段条件组合类型（并、或）
 */
public enum FieldHandleType {
    /**
     * 并
     */
    FHT_And(1),

    /**
     * 或
     */
    FHT_Or(2);
    private int index;

    private FieldHandleType(int index) {
        this.index = index;
    }

    public static FieldHandleType valueOf(int index) {
        switch (index) {
            case 1:
                return FHT_And;
            case 2:
                return FHT_Or;
            default:
                return null;
        }
    }

}
